Create a transaction
curl --request POST \
--url https://api.bambumeta.software/brands/{brand_id}/programs/{program_id}/transaction-types/{transaction_type_id}/transactions \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": 49.99,
"transactionDate": "2026-07-28T12:00:00Z",
"attributes": {
"storeId": "NYC-01"
}
}
'import requests
url = "https://api.bambumeta.software/brands/{brand_id}/programs/{program_id}/transaction-types/{transaction_type_id}/transactions"
payload = {
"amount": 49.99,
"transactionDate": "2026-07-28T12:00:00Z",
"attributes": { "storeId": "NYC-01" }
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
amount: 49.99,
transactionDate: '2026-07-28T12:00:00Z',
attributes: {storeId: 'NYC-01'}
})
};
fetch('https://api.bambumeta.software/brands/{brand_id}/programs/{program_id}/transaction-types/{transaction_type_id}/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"transactionId": 9001,
"transactionTypeId": 7,
"amount": 49.99,
"transactionDate": "2026-07-28T12:00:00Z"
}Transactions
Create a transaction
Posts a new transaction for a cardholder under the given transaction type. Identify the card with unique_id or serial number query parameters as documented for your program.
POST
/
{brand_id}
/
programs
/
{program_id}
/
transaction-types
/
{transaction_type_id}
/
transactions
Create a transaction
Authorizations
Body
application/json
Response
200 - application/json
OK
⌘I